Bug 1411272 - gnome-shell doesn't respect hinting settings under Wayland
gnome-shell doesn't respect hinting settings under Wayland
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-01-09 05:20 EST by Pierre Ossman
Modified: 2017-10-07 20:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot under X11 (2.53 MB, image/png)
2017-01-09 05:20 EST, Pierre Ossman
no flags Details
screenshot under Wayland (2.63 MB, image/png)
2017-01-09 05:21 EST, Pierre Ossman
no flags Details

  None (edit)
Description Pierre Ossman 2017-01-09 05:20:32 EST
Created attachment 1238614 [details]
screenshot under X11

gnome-shell seems to ignore the hinting settings configured in Gnome tweak tool when using Wayland. Under X11 everything is fine. GTK+ is picking up the settings just fine either way.

See attached screenshots. In particular look at the "M" in the clock.
Comment 1 Pierre Ossman 2017-01-09 05:21 EST
Created attachment 1238615 [details]
screenshot under Wayland
Comment 2 Pierre Ossman 2017-09-20 08:38:59 EDT
Still happens in Fedora 26.


Note You need to log in before you can comment on or make changes to this bug.